# fn() atomicMin
Lock-free implemenattion of `x = min(x, y)`.

Defined in | <seqan/parallel.h>
Signature | `void atomicMin(x, y);`

## Parameters

`x` | Integer to set to `min(x, y)`.
`y` | Other integer.

## Detailed Description

This is equivalent to

    atomic {
        x = min(x, y);
    }

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @fn atomicMin
     *
     * @headerfile <seqan/parallel.h>
     *
     * @brief Lock-free implemenattion of <tt>x = min(x, y)</tt>.
     *
     * @signature void atomicMin(x, y);
     *
     * @param[in,out] x Integer to set to <tt>min(x, y)</tt>.
     * @param[in] y Other integer.
     *
     * This is equivalent to
     *
     * @code{.cpp}
     * atomic {
     *     x = min(x, y);
     * }
     * @endcode
     */